---
lang: en
title: 'API docs: boot.controllerbooter._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.controllerbooter._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [ControllerBooter](./boot.controllerbooter.md) &gt; [(constructor)](./boot.controllerbooter._constructor_.md)

## ControllerBooter.(constructor)

Constructs a new instance of the `ControllerBooter` class

<b>Signature:</b>

```typescript
constructor(app: Application, projectRoot: string, controllerConfig?: ArtifactOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | <code>Application</code> |  |
|  projectRoot | <code>string</code> |  |
|  controllerConfig | <code>ArtifactOptions</code> |  |


